SortedSetCollectionInitializor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.lazy.initializor
Class SortedSetCollectionInitializor

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor<T>
          org.hibernate.envers.entities.mapper.relation.lazy.initializor.BasicCollectionInitializor<SortedSet>
              org.hibernate.envers.entities.mapper.relation.lazy.initializor.SortedSetCollectionInitializor

All Implemented Interfaces:
  Initializor<SortedSet>

    public class SortedSetCollectionInitializor

extends BasicCollectionInitializor<SortedSet>

Initializes SortedSet collection with proper Comparator

Field Summary

Fields inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.BasicCollectionInitializor
`collectionClass`

Fields inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor
`entityInstantiator, revision`

Constructor Summary
`SortedSetCollectionInitializor(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, RelationQueryGenerator queryGenerator, Object primaryKey, Number revision, Class<? extends SortedSet> collectionClass, MiddleComponentData elementComponentData, Comparator comparator)`

Method Summary
`protected SortedSet` | `initializeCollection(int size)`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.BasicCollectionInitializor
`addToCollection`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor
`initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortedSetCollectionInitializor

    public SortedSetCollectionInitializor(AuditConfiguration verCfg,
                                          AuditReaderImplementor versionsReader,
                                          RelationQueryGenerator queryGenerator,
                                          Object primaryKey,
                                          Number revision,
                                          Class<? extends SortedSet> collectionClass,
                                          MiddleComponentData elementComponentData,
                                          Comparator comparator)

Method Detail

### initializeCollection

    protected SortedSet initializeCollection(int size)

  Overrides:
    `initializeCollection` in class `BasicCollectionInitializor<SortedSet>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.